## golang-k8s-utils 0.0~git20251220.9d40a56

=== Makefile ===
# Copyright 2018 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

.PHONY: verify
verify: verify-fmt verify-lint verify-apidiff vet test

.PHONY: test
test:
	GO111MODULE=on go test -v -race ./...

.PHONY: verify-fmt
verify-fmt:
	GO111MODULE=on ./hack/verify-gofmt.sh

.PHONY: verify-lint
verify-lint:
	GO111MODULE=on ./hack/verify-golint.sh

.PHONY: verify-apidiff
verify-apidiff:
	GO111MODULE=on ./hack/verify-apidiff.sh -r master

.PHONY: vet
vet:
	GO111MODULE=on ./hack/verify-govet.sh

.PHONY: update-fmt
update-fmt:
	gofmt -s -w .

# We set the maximum version of the go directive as 1.23 here
# because the oldest go directive that exists on our supported
# release branches in k/k is 1.23.
.PHONY: verify-go-directive
verify-go-directive:
	./hack/verify-go-directive.sh -g 1.23

## golang-k8s-utils 0.0~git20210930.cb0fa31

=== debian/changelog ===
golang-k8s-utils (0.0~git20210930.cb0fa31-2) unstable; urgency=medium

  * Use dh-sequence-golang.
  * Ignore test failures.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 15 Oct 2021 21:14:26 +0200

golang-k8s-utils (0.0~git20210930.cb0fa31-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 15 Oct 2021 18:22:38 +0200

golang-k8s-utils (0.0~git20210111.fddb29f-1) unstable; urgency=medium

  * Team upload.
  * Release to unstable.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 18 Sep 2021 00:25:22 -0400

golang-k8s-utils (0.0~git20210111.fddb29f-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #984549)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Thu, 04 Mar 2021 17:15:38 -0300

=== debian/control ===
Source: golang-k8s-utils
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-davecgh-go-spew-dev,
               golang-github-spf13-afero-dev,
               golang-github-stretchr-testify-dev,
               golang-k8s-klog-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-utils
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-utils.git
Homepage: https://github.com/kubernetes/utils
Rules-Requires-Root: no
XS-Go-Import-Path: k8s.io/utils

Package: golang-k8s-utils-dev
Architecture: all
Depends: golang-github-davecgh-go-spew-dev,
         golang-github-spf13-afero-dev,
         golang-github-stretchr-testify-dev,
         golang-k8s-klog-dev,
         ${misc:Depends}
Description: Non-Kubernetes-specific utility libraries (library)
 A set of Go libraries that provide low-level, Kubernetes-independent packages
 supplementing the Go standard libs.
 .
 The package holds shared utilities with no Kubernetes dependencies and is
 useful as Kubernetes grows and spins functionality out of its core and into
 cooperating repositories like apiserver, kubectl, kubeadm, etc.
 .
 The need arises for leaf repositories to house shared code and avoid cycles in
 repository relationships.

## golang-k8s-utils 0.0~git20220210.3a6ce19

=== debian/changelog ===
golang-k8s-utils (0.0~git20220210.3a6ce19-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + golang-k8s-utils-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 07 Dec 2022 21:58:58 +0000

golang-k8s-utils (0.0~git20220210.3a6ce19-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Update standards version to 4.6.1, no changes needed.
  * Add lintian override for debian-watch-does-not-check-gpg-signature.

 -- Domenico Andreoli <cavok@debian.org>  Sun, 12 Jun 2022 21:29:43 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                golang-github-spf13-afero-dev,
                golang-github-stretchr-testify-dev,
                golang-k8s-klog-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-utils
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-utils.git
 Homepage: https://github.com/kubernetes/utils
@@ -25,6 +25,7 @@
          golang-github-stretchr-testify-dev,
          golang-k8s-klog-dev,
          ${misc:Depends}
+Multi-Arch: foreign
 Description: Non-Kubernetes-specific utility libraries (library)
  A set of Go libraries that provide low-level, Kubernetes-independent packages
  supplementing the Go standard libs.

## golang-k8s-utils 0.0~git20221128.99ec85e

=== debian/changelog ===
golang-k8s-utils (0.0~git20221128.99ec85e-1) unstable; urgency=medium

  * New upstream snapshot
  * d/control:
    - Add myself to Uploaders
    - Bump Standards-Version (no changes needed)
  * Update d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 11 Jan 2023 00:16:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: golang-k8s-utils
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
+Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>,
+           Mathias Gibbens <gibmat@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -11,7 +12,7 @@
                golang-github-spf13-afero-dev,
                golang-github-stretchr-testify-dev,
                golang-k8s-klog-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-utils
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-utils.git
 Homepage: https://github.com/kubernetes/utils

## golang-k8s-utils 0.0~git20230505.9f67429

=== debian/changelog ===
golang-k8s-utils (0.0~git20230505.9f67429-1) unstable; urgency=medium

  * New upstream snapshot
  * Update renamed lintian tag

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 17 Jun 2023 16:09:55 +0000

## golang-k8s-utils 0.0~git20230711.3019533

=== debian/changelog ===
golang-k8s-utils (0.0~git20230711.3019533-1) unstable; urgency=medium

  * New upstream snapshot

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 22 Jul 2023 15:47:35 +0000

## golang-k8s-utils 0.0~git20230726.3b25d92

=== debian/changelog ===
golang-k8s-utils (0.0~git20230726.3b25d92-1) unstable; urgency=medium

  * New upstream snapshot

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 16 Sep 2023 14:03:52 +0000

## golang-k8s-utils 0.0~git20240102.e7106e6

=== debian/changelog ===
golang-k8s-utils (0.0~git20240102.e7106e6-1) unstable; urgency=medium

  * New upstream snapshot
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 19 Jan 2024 23:19:43 +0000

## golang-k8s-utils 0.0~git20240310.4693a02

=== debian/changelog ===
golang-k8s-utils (0.0~git20240310.4693a02-1) unstable; urgency=medium

  * New upstream snapshot
    - Update Build-Depends and Depends

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 17 Mar 2024 16:44:38 +0000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,6 @@
                dh-sequence-golang,
                golang-any,
                golang-github-davecgh-go-spew-dev,
-               golang-github-spf13-afero-dev,
-               golang-github-stretchr-testify-dev,
                golang-k8s-klog-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-utils
@@ -22,8 +20,6 @@
 Package: golang-k8s-utils-dev
 Architecture: all
 Depends: golang-github-davecgh-go-spew-dev,
-         golang-github-spf13-afero-dev,
-         golang-github-stretchr-testify-dev,
          golang-k8s-klog-dev,
          ${misc:Depends}
 Multi-Arch: foreign

## golang-k8s-utils 0.0~git20240502.fe8a2dd

=== debian/changelog ===
golang-k8s-utils (0.0~git20240502.fe8a2dd-1) unstable; urgency=medium

  * New upstream snapshot
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 04 May 2024 13:46:23 +0000

## golang-k8s-utils 0.0~git20240711.18e509b

=== debian/changelog ===
golang-k8s-utils (0.0~git20240711.18e509b-1) unstable; urgency=medium

  * New upstream snapshot

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 14 Jul 2024 21:01:34 +0000

## golang-k8s-utils 0.0~git20240921.49e7df5

=== debian/changelog ===
golang-k8s-utils (0.0~git20240921.49e7df5-1) unstable; urgency=medium

  * New upstream snapshot

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 04 Oct 2024 01:57:49 +0000

golang-k8s-utils (0.0~git20240821.f90d014-1) unstable; urgency=medium

  * New upstream snapshot

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 24 Aug 2024 13:51:50 +0000

## golang-k8s-utils 0.0~git20241104.6fe5fd8

=== debian/changelog ===
golang-k8s-utils (0.0~git20241104.6fe5fd8-1) unstable; urgency=medium

  * New upstream snapshot

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 06 Nov 2024 02:17:27 +0000

## golang-k8s-utils 0.0~git20241210.24370be

=== debian/changelog ===
golang-k8s-utils (0.0~git20241210.24370be-1) unstable; urgency=medium

  * New upstream snapshot

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 20 Dec 2024 23:35:30 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                golang-any,
                golang-github-davecgh-go-spew-dev,
                golang-k8s-klog-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-utils
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-utils.git
 Homepage: https://github.com/kubernetes/utils

## golang-k8s-utils 0.0~git20250321.1f6e0b7

=== debian/changelog ===
golang-k8s-utils (0.0~git20250321.1f6e0b7-1) unstable; urgency=medium

  * New upstream snapshot
  * Update Standards-Version to 4.7.2 in d/control (no changes needed)
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 23 Mar 2025 14:45:18 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                golang-any,
                golang-github-davecgh-go-spew-dev,
                golang-k8s-klog-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-utils
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-utils.git
 Homepage: https://github.com/kubernetes/utils

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_test:
	-dh_auto_test

## golang-k8s-utils 0.0~git20250820.0af2bda

=== debian/changelog ===
golang-k8s-utils (0.0~git20250820.0af2bda-1) unstable; urgency=medium

  * New upstream snapshot
  * Don't ignore test failures and add a patch to skip one test

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 10 Sep 2025 23:15:55 +0000

## golang-k8s-utils 0.0~git20251002.bc988d5

=== debian/changelog ===
golang-k8s-utils (0.0~git20251002.bc988d5-1) unstable; urgency=medium

  * New upstream snapshot
    - Add patch to skip one flaky test
  * Drop redundant Rules-Requires-Root in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 11 Oct 2025 21:48:52 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-utils
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-utils.git
 Homepage: https://github.com/kubernetes/utils
-Rules-Requires-Root: no
 XS-Go-Import-Path: k8s.io/utils
 
 Package: golang-k8s-utils-dev

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/kubernetes/utils.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-k8s-utils-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/kubernetes/utils/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-k8s-utils 0.0~git20251220.9d40a56

=== debian/changelog ===
golang-k8s-utils (0.0~git20251220.9d40a56-1) unstable; urgency=medium

  * New upstream snapshot

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 21 Dec 2025 17:26:42 +0000

## golang-k8s-utils 0.0~git20251222.718f0e5

=== debian/changelog ===
golang-k8s-utils (0.0~git20251222.718f0e5-1) unstable; urgency=medium

  * New upstream snapshot
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 27 Dec 2025 21:15:25 +0000

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
            Mathias Gibbens <gibmat@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
                golang-github-davecgh-go-spew-dev,
                golang-k8s-klog-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-utils
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-utils.git
 Homepage: https://github.com/kubernetes/utils
